`sig
type key
type 'a t
val create : ?random:bool -> int -> 'a Hashtbl.SeededS.t
val clear : 'a Hashtbl.SeededS.t -> unit
val reset : 'a Hashtbl.SeededS.t -> unit
val copy : 'a Hashtbl.SeededS.t -> 'a Hashtbl.SeededS.t
val add : 'a Hashtbl.SeededS.t -> Hashtbl.SeededS.key -> 'a -> unit
val remove : 'a Hashtbl.SeededS.t -> Hashtbl.SeededS.key -> unit
val find : 'a Hashtbl.SeededS.t -> Hashtbl.SeededS.key -> 'a
val find_all : 'a Hashtbl.SeededS.t -> Hashtbl.SeededS.key -> 'a list
val replace : 'a Hashtbl.SeededS.t -> Hashtbl.SeededS.key -> 'a -> unit
val mem : 'a Hashtbl.SeededS.t -> Hashtbl.SeededS.key -> bool
val iter :
(Hashtbl.SeededS.key -> 'a -> unit) -> 'a Hashtbl.SeededS.t -> unit
val fold :
(Hashtbl.SeededS.key -> 'a -> 'b -> 'b) ->
'a Hashtbl.SeededS.t -> 'b -> 'b
val length : 'a Hashtbl.SeededS.t -> int
val stats : 'a Hashtbl.SeededS.t -> Hashtbl.statistics
end`